### Enumeration

# WebKit2WebExtension ConsoleMessageSource

since: 2.12

#### Declaration

    enum WebKit2WebExtension.ConsoleMessageSource

#### Description [src]

Enum values used to denote the various sources of console messages.

Available since: 2.12

#### Members

`WEBKIT_CONSOLE_MESSAGE_SOURCE_JAVASCRIPT`

  Message produced by JavaScript.

  - Value: `0`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_NETWORK`

  Network messages.

  - Value: `1`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_CONSOLE_API`

  Messages produced by console API.

  - Value: `2`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_SECURITY`

  Security messages.

  - Value: `3`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_OTHER`

  Other messages.

  - Value: `4`
  - Available since: 2.12